# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "nix-snake"
version = "0.2.2"
authors = ["T. Sawyer <saylesss87@proton.me"]
build = false
exclude = [
    "result",
    "docs/*",
    ".github/",
    ".gitignore",
    "flake.nix",
    "flake.lock",
    "assets/*",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A NixOS themed classic snake game with screensaver mode & gameplay mode"
homepage = "https://github.com/saylesss88/nix-snake"
readme = "README.md"
keywords = [
    "rust",
    "terminal",
    "screensaver",
    "game",
]
categories = ["command-line-utilities"]
license = "Apache-2.0"
repository = "https://github.com/saylesss88/nix-snake"

[[bin]]
name = "nix-snake"
path = "src/main.rs"

[dependencies.clap]
version = "4.5.54"

[dependencies.crossterm]
version = "0.29.0"

[dependencies.rand]
version = "0.9.2"

[profile.release]
opt-level = "z"
lto = true
codegen-units = 1
debug = 0
panic = "abort"
overflow-checks = false
strip = true
